SWITCHD.CONF(5)

NAME
switchd.conf - switch daemon configuration file

DESCRIPTION
switchd.conf is the configuration file for the switch daemon, switchd(8).

switchd.conf files is divided into the following main sections:

Macros
    User-defined variables may be defined and used later, simplifying the configuration file.

Global Configuration
    Global runtime settings for switchd(8).

The current line can be extended over multiple lines using a backslash (‘\’). Comments can be put anywhere in the file using a hash mark (‘#’), and extend to the end of the current line. Care should be taken when commenting out multi-line text: the comment is effective until the end of the entire block.

Argument names not beginning with a letter, digit, or underscore must be quoted.

Additional configuration files can be included with the include keyword, for example:

    include "/etc/switchd.conf.local"

MACROS
Macros can be defined that will later be expanded in context. Macro names must start with a letter, digit, or underscore, and may contain any of those characters. Macro names may not be reserved words (for example, directory, log, or root). Macros are not expanded inside quotes.

For example:

    ext_ip="10.0.0.1"
    listen on $ext_ip

GLOBAL CONFIGURATION
The following options can be set globally:

listen on address [tls] [port port]
    Set the listen address and port to accept connections from remote OpenFlow switches. Secure connections can be enabled with the optional tls keyword. By default, switchd(8) uses port 6653 and listen address 0.0.0.0.

EXAMPLES
The following example is a typical one.

    listen on 0.0.0.0 port 6653

SEE ALSO
switchctl(8), switchd(8)